# JsDoc Reference - _global_

Class Index | File Index

## Classes

- _global_
- Array
- Object

# Built-In Namespace _global_

Field Summary
Field Attributes | Field Name and Description
--- | ---
| Thread Utility object dedicated to multi-threading, asynchrone calls, .

Method Summary
Method Attributes | Method Name and Description
--- | ---
| $(fieldName) Light implementation of the $ function of modern libraries : tries to find a DOM node from a versatile key.
| $defined(name)
| delay(delay, func, arg1, arg1) Delays the execution of a function in time.
| equals(noCase, o2, noCase) Compares two objects of any type.
| merge() Creates a new object with the properties of several objects merged together.
| refresh(o) Attempts forcing refreshing an object on the screen.

Field Detail
Thread
Utility object dedicated to multi-threading, asynchrone calls, ... It should not be used directly.
Defined in: minilib.js.

See:
  Object#delay

Method Detail
{Element} $(fieldName)
Light implementation of the $ function of modern libraries : tries to find a DOM node from a versatile key.

NOTE : Not quite compatible with jQuery (because it requires something like '#myid').

Defined in: minilib.js.

Parameters:
fieldName
  the name of the field to find, or the field itself

Returns:
  The DOM node corresponding to the parameters or undefined if not found

{boolean} $defined(name)
Defined in: minilib.js.

Parameters:
name

Returns:
  true if the argument is not undefined nor null

delay(delay, func, arg1, arg1)
Delays the execution of a function in time.
Defined in: minilib.js.

Parameters:
{int} delay
  delay in milliseconds
{Function} func
  The function to execute
arg1
  (optional) ... and next args : the arguments to pass to the function when executed
arg1

{boolean} equals(noCase, o2, noCase)
Compares two objects of any type.
Defined in: minilib.js.

Parameters:
noCase
  If both objects are Strings, do a case insensitive comparison
o2
noCase

Returns:
  true if the objects are equals, else false

{Object} merge()
Creates a new object with the properties of several objects merged together.
The properties of the latest argument overrides the ones of the previous arguments.
Defined in: minilib.js.

Returns:
  a new object with the properties of all given arguments

refresh(o)
Attempts forcing refreshing an object on the screen.

This can be usefull for instance when you want an element to be redrawn on the screen to show a slight change in a CSS property, but there is an intensive Javascript operation going on that takes precedence over graphical redrawing.

WARNING : this operation involves doing a deep copy of the object, which can consume a lot of resources.

Seen at {@link http://bytes.com/forum/thread612023.html Bytes.com}
Defined in: minilib.js.

Parameters:
{Node} o
  The object to refresh

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 06 2012 00:12:23 GMT+0100 (CET)